@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&display=swap');

*,
*::before,
*::after {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html {
    overflow-x: hidden;
    scroll-behavior: smooth;
}

body {
    min-height: 100vh;
    font-size: 100%;
    line-height: 1.5;
    text-rendering: optimizeSpeed;
    font-family: 'Roboto', sans-serif;
}

a {
    text-decoration: none;
    color: inherit;
}

img {
    display: block;
    max-width: 100%;
    object-fit: cover;
}

input,
button,
textarea,
select {
    font: inherit;
}

#nav a .nav-logo {
    background-image: url(../img/braythan-logo.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    width: 200px;
    height: 100px;
}



.nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 65px;
    padding: 50px;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 99;
}

.main-nav a:focus,
.main-nav .active,
.main-nav a:hover {
    border-bottom: 1px solid #313131;
}

.scroll {
    background-color: #f3f3f3;
    border-bottom: 1px solid #1e2858;
    transition: all .5s ease-in-out;
    color: #fff3ff;
}

.nav ul {
    list-style: none;
    display: flex;
    gap: 4rem;
}

.nav ul li a {
    font-weight: 500;
    font-size: 1.2rem;
    color: #1e2858;
    padding: 6px;
}

.nav-svg {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 22px;
    width: 22px;
    display: none;
}

.nav-svg .bar {
    height: 3px;
    width: 100%;
    background-color: #1e2858;
    cursor: pointer;
    transition: all 100ms ease-in-out;
}

.nav-svg:hover {
    cursor: pointer;
}

.x:nth-of-type(1) {
    transition: all 100ms ease-in-out;
    transform: rotate(45deg);
    transform-origin: top left;
    width: 28px;
}

.x:nth-of-type(2) {
    transition: all 100ms ease-in-out;
    transform-origin: center;
    width: 0;
}

.x:nth-of-type(3) {
    transition: all 100ms ease-in-out;
    transform: rotate(-45deg);
    transform-origin: bottom left;
    width: 28px;
}

.nav-menu {
    width: 100%;
    position: absolute;
    background-color: #f3f3f3;
    z-index: 98;
    position: fixed;
    top: 0;
    left: 0;
    animation: growDown 300ms ease-in-out forwards
}

@keyframes growDown {
    0% {
        transform: scaleY(0)
    }

    80% {
        transform: scaleY(1.1)
    }

    100% {
        transform: scaleY(1)
    }
}

.main-nav-1 {
    padding: 40px;
}

.main-nav-1 ul {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 20px;
    padding-top: 70px;
    list-style: none;
}

.main-nav-1 ul a {
    font-size: 15px;
    font-weight: 500;
    color: #1e2858;
}

.main-nav-1 ul a:hover {
    font-weight: 700;

}

footer {
    height: auto;
    padding: 1rem 2.5rem;
    background-color: #f3f3f3;
}

footer a,
footer .footer-1 p {
    color: #313131;
    font-size: clamp(0.rem, 1vw + 1rem, 1.3rem);
}

footer .main-footer {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 25px;
}

footer .footer-1 {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: start;
}

footer .footer-1 a:hover,
.us:hover {
    color: #1e2858;
    transition: color .35s;
}

footer .footer-2 {
    display: flex;
    justify-content: flex-end;

}

.foot {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.foot .footer-3 {
    padding: 10px;
}

.foot .footer-3:hover {
    border: 1px dotted #313131;
    ;
}

.footer-2 a .nav-logo {
    background-image: url(../img/braythan-logo.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    width: 300px;
    height: 100px;
}


footer .copy {
    display: flex;
    align-items: center;
    justify-content: center;
    color: #313131;
}

.final-footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    color: #313131;
    padding: 22px;
    border-top: 1px solid #313131;
    font-size: 14px
}

.final-footer a {
    font-size: 14px;
}



/* media query for tablet */
@media screen and (min-width:768px)and (max-width:1025px) {
    .nav ul {
        gap: 1rem;
    }

    footer .main-footer {
        gap: 10px;
    }

}

@media screen and (max-width:767px) {
    .nav {
        padding: 50px 20px;
    }

    #nav a .nav-logo {
        width: 160px;
    }

    footer .main-footer {
        flex-direction: column-reverse;
        align-items: center;
    }

    .final-footer {
        align-items: center;
    }

    .foot {
        flex-direction: column;
    }

    .nav-svg {
        display: flex;
        margin-right: 10px;
    }

    .main-nav {
        display: none;
    }

    footer .footer-1 {
        align-items: center;
        text-align: center;
    }

    footer .copy {
        text-align: center;
    }

    .footer-2 img {
        width: 100%;
    }

    footer .footer-2 {
        justify-content: center;
        align-items: center;
    }

    .footer-2 a .nav-logo {
        width: 200px;
    }
}

@media screen and (max-width:280px) {

    #nav a .nav-logo {
        width: 130px;
    }

    footer .footer-1,
    .final-footer {
        gap: 10px;
    }

    .final-footer {
        padding: 0px;
    }
}